This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 583440 - package-cleanup shows --remove-leaves option which doesn't work
package-cleanup shows --remove-leaves option which doesn't work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-18 10:32 EDT by Mads Kiilerich
Modified: 2014-01-21 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-02 04:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2010-04-18 10:32:13 EDT
Description of problem:

[root@localhost tmp]# package-cleanup --help | grep remove-leaves
    --remove-leaves     remove dependencies no longer needed by any other
[root@localhost tmp]# package-cleanup --remove-leaves
Loaded plugins: auto-update-debuginfo, fastestmirror, presto, refresh-packagekit, remove-with-leaves
Usage: 
    package-cleanup: helps find problems in the rpmdb of system and correct them

    usage: package-cleanup --problems or --leaves or --orphans or --oldkernels
...
[root@localhost tmp]# 


It seems like /usr/lib/yum-plugins/remove-with-leaves.py interferes somehow and shows the option where it shouldn't have been.


Version-Release number of selected component (if applicable):

yum-utils-1.1.26-1.fc12.noarch
yum-plugin-remove-with-leaves-1.1.26-1.fc12.noarch
Comment 1 Tim Lauridsen 2010-05-02 04:16:31 EDT
--remove-leaves only work with a transaction, so it don't make much sense when used with package-cleanup. But it don't hurt anybody.

Note You need to log in before you can comment on or make changes to this bug.